https://pulumi.com logo
#aws
Title
# aws
g

gifted-gigabyte-53859

12/20/2023, 1:40 AM
Really really want to get rid of these warnings:
Copy code
Diagnostics:
  aws:s3:BucketObject (api_app4c238266/assets/index-ab88d369.css):
    warning: urn:pulumi:iac-sandbox::payment-app::aws-apigateway:index:RestAPI$aws:s3/bucketObject:BucketObject::api_app4c238266/assets/index-ab88d369.css verification warning: use the aws_s3_object resource instead

  aws:s3:BucketObject (api_app4c238266/cko.png):
    warning: urn:pulumi:iac-sandbox::payment-app::aws-apigateway:index:RestAPI$aws:s3/bucketObject:BucketObject::api_app4c238266/cko.png verification warning: use the aws_s3_object resource instead

  aws:s3:BucketObject (api_app4c238266/vite.svg):
    warning: urn:pulumi:iac-sandbox::payment-app::aws-apigateway:index:RestAPI$aws:s3/bucketObject:BucketObject::api_app4c238266/vite.svg verification warning: use the aws_s3_object resource instead

  aws:s3:BucketObject (api_app4c238266/assets/index-b5c27351.js):
    warning: urn:pulumi:iac-sandbox::payment-app::aws-apigateway:index:RestAPI$aws:s3/bucketObject:BucketObject::api_app4c238266/assets/index-b5c27351.js verification warning: use the aws_s3_object resource instead

  aws:s3:BucketObject (api_app4c238266/index.html):
    warning: urn:pulumi:iac-sandbox::payment-app::aws-apigateway:index:RestAPI$aws:s3/bucketObject:BucketObject::api_app4c238266/index.html verification warning: use the aws_s3_object resource instead
I am explicitly (
options: version:
) using the latest provider
2.1.0
for
aws-apigateway
b

brave-planet-10645

12/20/2023, 9:07 AM
Let me take a look at this. I suspect the version of aws provider in the package needs updating.
This is because the api gateway is targetting an older version of the AWS provider at install time. Not sure why it’s not updating because it is
^6.0.0
(so should be updating the minor version I think)
g

gifted-gigabyte-53859

01/11/2024, 7:18 AM
I wonder if you managed to get anywhere with this Piers?